#!/usr/bin/python
# -*- coding: utf-8 -*-
import RPi.GPIO as GPIO
import time, random

GPIO.setmode(GPIO.BCM)
LED = [18,8,7,23]
TASTE = 20

for x in range(4):
  GPIO.setup(LED[x], GPIO.OUT)

GPIO.setup(TASTE, GPIO.IN, GPIO.PUD_DOWN)
print ("Knopf drücken, um zu würfeln. Strg+C beendet das Programm")

try:
  while True :
    if GPIO.input(TASTE)==1:
      for x in range(4):
        GPIO.output(LED[x], 0)
      time.sleep(0.5)
      w = random.randrange(1,7)
      print ("Gewürfelte Zahl:" + str(w))
      if w == 1:
        GPIO.output(LED[0], 1)
      if w == 2:
        GPIO.output(LED[1], 1)
      if w == 3:
        GPIO.output(LED[0], 1)
        GPIO.output(LED[2], 1)
      if w == 4:
        GPIO.output(LED[1], 1)
        GPIO.output(LED[2], 1)
      if w == 5:
        GPIO.output(LED[0], 1)
        GPIO.output(LED[1], 1)
        GPIO.output(LED[2], 1)
      if w == 6:
        GPIO.output(LED[1], 1)
        GPIO.output(LED[2], 1)
        GPIO.output(LED[3], 1)
      print ("Knopf drücken, um zu würfeln. Strg+C beendet das Programm")
         
except KeyboardInterrupt:
  GPIO.cleanup()
